{% extends 'base.html.twig' %}

{% block title %}Campaign{% endblock %}

{% block body %}
     <div class="parallax-container valign-wrapper">
        <div class="section no-pad-bot">
            <div class="container">
                <h1 class="header center white-text light">{{ campaign.title }}</h1>
                <div class="row center">
                    <h5 class="header col s12 light">Organiser par : {{ campaign.name }}</h5>
                </div>
            </div>
        </div>
        <div class="parallax"><img src="/assets/images/8.jpg" alt="Titre de la campagne"></div>
    </div>

    <!-- Show progress -->
    <section class="progress-section">
        <div class="progress">
            <div class="determinate" style="width: {{ objectif }}%"><span>{{ objectif }}% de l'objectif</span></div>
        </div>
    </section>

    <div class="container participe">
        <div class="section">
            <!-- Participation section -->
            <div class="row">
                <div class="card col s12 m12 l8 offset-l2">
                    <div class="card-content">
                        <form action="{{ path('campaign_pay', {'id': campaign.id})}}" method="get">
                            <div class="input-field col s12 l6">
                                <input id="amount" name="amount_participant" type="number" class="validate">
                                <label for="amount">Votre participation</label>
                            </div>
                            <button class="btn-large waves-effect waves-light pink lighten-1 col s12 l6">Participer</button>
                            <div class="clearfix"></div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col s12 l6 offset-l3" style="margin-top: 20px;">
                    <a href="{{ path('campaign_spend', {'id': campaign.id}) }}" class="btn btn-large waves-effect waves-light col s12">
                    AJOUTER DEPENSE
                    <i class="material-icons right">edit</i>
                    </a>
                </div>                   
            </div>    
            
            <div class="row">
                <div class="col s12 center">
                    <h4>A propos de la campagne</h4>
                </div>
            </div>
            <!--   Icon Section   -->
            <div class="row">
                <div class="col s12 m6 l3 offset-l3">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white"><i class="material-icons teal-text">person</i></div>
                        <h3 class="center">{{ total_participant }}</h3>
                        <p class="light">Participations</p>
                    </div>
                </div>

                <div class="col s12 m6 l3">
                    <div class="icon-block center">
                        <div class="btn-large btn-floating white"><i class="material-icons teal-text">redeem</i></div>
                        <h3 class="center">{{ total_amount2 }}</h3>
                        <p class="light">euros récoltés</p>
                    </div>
                </div>
            </div>
            <!-- Form section -->
            <div class="row">
                <form>
                    <div class="input-field col s12">
                        <label for="description">Description</label>
                        <textarea id="description" class="materialize-textarea" readonly="readonly">{{ campaign.content }}</textarea>
                    </div>
                    <div class="input-field col s12 l6">
                        <input id="goal" type="number" readonly="readonly" value={{ campaign.goal }}>
                        <label for="goal">Objectif</label>
                    </div>
                   <div class="col s12 l6 offset-l3" style="margin-top: 20px;">
                        <a href="{{ path('campaign_edit', {'id': campaign.id}) }}" class="btn btn-large waves-effect waves-light col s12">
                            Modifiez la campagne
                            <i class="material-icons right">edit</i>
                        </a>
                    </div>
                </form>
            </div>
            <!-- List -->
            <div class="row">
                <div class="col s12 center">
                    <h4>Liste des participants</h4>
                </div>
                <div class="col s12">
                    <table class="highlight responsive-table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Email</th>
                            <th>Participation</th>
                        </tr>
                        </thead>

                        <tbody>
                            {% for participant in participantWithParticipations %}
                            <tr>
                                <td>{{ participant.name }}</td>
                                <td>{{ participant.email }}</td>
                                <td>{{ participant.amount /100 }} &euro;</td>
                            </tr>
                            {% else %}
                            <tr>
                                <td rowspan='3'>Pas de participants</td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
             <div class="row">
                <div class="col s12 center">
                    <h4>Liste des dépenses par participants</h4>
                </div>
                <div class="col s12">
                    <table class="highlight responsive-table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Email</th>
                            <th>Dépenses ajoutés</th>
                            <th>Description</th>
                        </tr>
                        </thead>

                        <tbody>
                            {% for participant in participantWithParticipations %}
                            <tr>
                                <td>jo</td>{#{{ participant.name }}#}
                                <td>jo@hotmail.fr</td>  {#{{ participant.email }}#}
                                 <td>6euros</td>  {#{{ spending.amount /100 }} &euro; #}
                                 <td>coca</td>
                            </tr>
                            {% else %}
                            <tr>
                                <td rowspan='3'>Pas de participants</td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="parallax-container valign-wrapper">
        <div class="section no-pad-bot">
            <div class="container">
                <div class="row center">
                    <h4 class="header col s12 light">Une campagne pensée pour vous<br>et pour toutes les occasions</h4>
                </div>
            </div>
        </div>
        <div class="parallax"><img src="/assets/images/10.jpg" alt="Une campagne pensée pour vous"></div>
    </div>


  <!--  <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ campaign.id }}</td>
            </tr>
            <tr>
                <th>Title</th>
                <td></td>
            </tr>
            <tr>
                <th>Content</th>
                <td>{{ campaign.content }}</td>
            </tr>
            <tr>
                <th>CreatedAt</th>
                <td>{{ campaign.createdAt ? campaign.createdAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
            <tr>
                <th>updatedAt</th>
                <td>{{ campaign.updatedAt ? campaign.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
            <tr>
                <th>Goal</th>
                <td>{{ campaign.goal }}</td>
            </tr>
        </tbody>
    </table>-->

    

   

  <!--  {{ include('campaign/_delete_form.html.twig') }}-->
{% endblock %}
